Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001824graphvizDotpublic2010-02-21 10:332011-08-03 14:54
ReporterMarc Lasson 
Assigned Toellson 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSx86-Linux-3OS Version
Summary0001824: Segfault on "dot -c" when unable to open the config file
Description



Just run "dot -c" as non-root user.



Fails with :
<CD>
$./dot -c
Error: failed to open /home/mlasson/dot/tmp/lib/graphviz/config6 for write.
Segmentation fault
Additional Information

0000002 config_rescan (gvc=0x6048e0, rescan=1 '\001') at gvconfig.c:376
376 fprintf(f, "# This file was generated by \"dot -c\" at time of install.\n\n");
(gdb) l
371 f = fopen(config_path,"w");
372 if (!f) {
373 agerr(AGERR,"failed to open %s for write.\n", config_path);
374 }
375
376 fprintf(f, "# This file was generated by \"dot -c\" at time of install.\n\n");
</CD>
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENTgraphviz2/lib/gvc gvconfig.c,1.115,1.116
FORMER-ID1889
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT*
VERSION     dot - graphviz version 2.26.3 (20100126.1600)
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => user695
2011-06-11 10:50 ellson Assigned To ellson =>
2011-06-11 10:57 ellson Assigned To => ellson
2011-06-11 10:57 ellson Status acknowledged => assigned
2011-06-11 10:58 ellson FIX-COMMENT It should probably exit inside the if block. => graphviz2/lib/gvc gvconfig.c,1.115,1.116
2011-06-11 10:58 ellson Status assigned => resolved
2011-06-11 10:58 ellson Resolution open => fixed
2011-08-03 14:54 erg Status resolved => closed


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker